<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8" />
	<title>ITEA-JS ADVANCED - LESSON 2: TASK 3</title>
	<link rel="stylesheet" href="css/style.min.css" />
</head>
<body>
	<div class="buttons" id="target">
		<button class="popup__button" id="popup_1" data-popup="1"> Show popup 1</button>
		<button class="popup__button" id="popup_2" data-popup="2"> Show popup 2</button>
		<button class="popup__button" id="popup_3" data-popup="3"> Show popup 3</button>
	</div>

	<div class="popup show" id="popup">
		<div class="popup__body">
		<button class="popup__close" id="popup__close">Close popup</button>
		<div class="popup__container" id="popup__container">
			<div class="popup__item" data-popup="1"><h2>I'm first popup</h2></div>
			<div class="popup__item" data-popup="2"><h2>I'm second popup</h2></div>
			<div class="popup__item show" data-popup="3"><h2>I'm third popup</h2></div>
		</div>
		</div>
	</div>

<script>
    /*
		Задача: Сделать корректно работающее всплывающее окно.
		Условие: Узменять HTML разметку выше - нельзя.

		При нажании на одну из кнопок, должно открытся окно с соответствующим data- аттрибутом.
		При нажатии на кнопку close окно дожно закрываться.

		"Всплытие" popup происходит путем добавления класса show на элемент с id="popup" и на
		конкретное окно, которое вы хотиле показать.
    */
	const SHOW_CLASS = "show";

	const pupup = document.getElementById("popup");
	const target = document.getElementById("target");
	const buttons = target.querySelectorAll(".popup__button");
	const popups = popup.querySelectorAll("div.popup__item")

	buttons.forEach(element => {
		element.addEventListener('click',eventHandler);
	});

	const closePopup = document.getElementById('popup__close');

	closePopup.addEventListener('click',closeHandler);

	function closeHandler(e) {
		popup.classList.remove(SHOW_CLASS);
		console.log(e.target.dataset.popup);
	}

	function eventHandler(e) {
		console.log('eventHandler');
			popup.classList.add(SHOW_CLASS);
			const target = e.target;
			let popupData = null
			if(target.dataset.hasOwnProperty('popup')) {
				popupDataopup = target.dataset.popup;
			}

			popups.forEach(p => {
			if( p.dataset.popup != target.dataset.popup){
				p.classList.remove(SHOW_CLASS);
			} else {
				p.classList.add(SHOW_CLASS);
			}	
				
			});
			
	}
</script>
</body>
</html>
